function K = compute_kernel(X,Y,sig)
  X = X / sig;
  Y = Y / sig;

  normX = sum(X.^2,2);
  normY = sum(Y.^2,2);
    
  K = exp(-0.5*(repmat(normX ,1,size(Y,1)) + ...
                repmat(normY',size(X,1),1) - 2*X*Y'));
